<wo:AjaxUpdateContainer id = "test111">
<wo:form name = "toto">
<div class="cktlajaxtableview">
<div class="cktlAjaxTableView_DivHeaderAndBody">
  <table cellspacing="0" border="0" cellpadding="0" id = "tableauDD">
    <thead>
    	<tr>
	      	<th>
	        	Type
	        </th>
	        <th>
	        	Sélection
	        </th>
	        <th class="param-methode">M&eacute;thode</th>
	        <th>Coefficients</th>
	        <wo:repetition list = "$typesAP" item = "$typeAP">
	          <th class="param-typeap"><wo:string value = "$typeAP.code" /></th>
	        </wo:repetition>
        </tr>
      <tr>
        <th class="param-methode"></th>
        <th></th>
        <wo:repetition list = "$typesAP" item = "$typeAP">
          <th class="param-typeap"></th>
        </wo:repetition>
      </tr>
    </thead>
    <tbody>
      <tr>
      <th>
      	<wo:condition condition = "$modeCreation">
        	<wo:AjaxObserveField updateContainerID = "test111">
        	<wo:select list = "$listeTypePersonne" item = "$typePersonne" displayString = "$typePersonne" selection = "$selectionTypePersonne" noSelectionString = "Veuillez choisir un type"></wo:select>
        	</wo:AjaxObserveField>
    	</wo:condition>
    	<wo:condition condition = "$modeCreation" negate = "$true">
    		<wo:string value = "$dataBean.typePopulation"/>
    	</wo:condition>
        </th>
      	<wo:condition condition = "$dataBean.corpsNull">
      	<wo:condition condition = "$modeCreation">
      	<wo:AjaxUpdateContainer id = "testID">
      	<wo:condition condition = "$isCorpSelectionne">
      		<td><wo:select list = "$corpsHelper.listeCorps" item = "$corpsHelper.corps" displayString = "$corpsHelper.displayCorps" selection = "$corpsHelper.selectionCorps" noSelectionString = "Veuillez choisir un corps"></wo:select></td>
  		</wo:condition>
  		<wo:condition condition = "$isPopulationSelectionne">
  			<td><wo:select list = "$corpsHelper.listeTypePopulation" item = "$corpsHelper.typePopulation" displayString = "$corpsHelper.displayTypePopulation" selection = "$corpsHelper.selectionPopulation" noSelectionString = "Veuillez choisir un type de population"></wo:select></td>
  		</wo:condition>
  		<wo:condition condition = "$isContratSelectionne">
  			<td><wo:select list = "$corpsHelper.listeContratsTravail" item = "$corpsHelper.contratTravail" displayString = "$corpsHelper.displayContratTravail" selection = "$corpsHelper.selectionContratTravail" noSelectionString = "Veuillez choisir un type de contrat"></wo:select></td>
  		</wo:condition>
  		<wo:condition condition = "$pasDeSelection">
  			<td></td>
  		</wo:condition>
  		</wo:AjaxUpdateContainer>
      	</wo:condition>
      	<wo:condition condition = "$modeCreation" negate = "$true">
      	<td><wo:string value = "$dataBean.libelle"/></td>
      	</wo:condition>
      	</wo:condition>
      	<wo:condition condition = "$dataBean.corpsNull" negate = "$true">
      	<td><wo:string value = "$dataBean.libelleCorps"/></td>
      	</wo:condition>
        <td><wo:select list = "$methodes" item = "$methode" displayString = "$methode.libelle" selection = "$selectionMethode" noSelectionString = "Veuillez choisir une méthode"></wo:select></td>
        <td style="text-align : right; white-space:nowrap;">
          <div>En service&nbsp;:</div>
          <p/>
      	  <div>Hors service&nbsp;:</div>
        </td>
        <wo:repetition list = "$dataBean.parametres" item = "$parametre">
          <td class="fractions" style="white-space:nowrap;">
  	        <div><wo:textField value = "$parametre.enService.numerateur" formatter = "$formatter"/> / <wo:textField value = "$parametre.enService.denominateur" formatter = "$formatter"/></div>
  	        <div><wo:textField value = "$parametre.horsService.numerateur" formatter = "$formatter"/> / <wo:textField value = "$parametre.horsService.denominateur" formatter = "$formatter"/></div>
          </td>
        </wo:repetition>
      </tr>
    </tbody>
  </table>
</div>
</div>

  <br>
    
  <wo:CktlSubmitButton type = "validate" text = "Enregistrer" action = "$enregisterParametres" ></wo:CktlSubmitButton>
  <wo:CktlSubmitButton type = "cancel" text = "Annuler" action = "$annulerEnregistrement" ></wo:CktlSubmitButton>
</wo:form>
</wo:AjaxUpdateContainer>